##quick demo file


##this load the Galileo package
library(Galileo)


##this loads the example data
load('SenPress.RData')
##and these are words that we will remove using the 'extra function
load('CommWords.RData')


##this computes the affinity between documents.  
##gt is the undergrad object, stop removes stop words
##extra=T and extra.dat=comm.words removes the additional
##words that were loaded using load('CommWords.RData')

output<- affinity(gt, stop=T, extra=T, extra.dat=comm.words)

##this computes the acutal clustering.  
##there are two methods for clustering currenlty implemented
##the first (profiled here), is affinity propagation as we have it implementd
##the second method (see the commented out line below) computes the clusters using
## a recently developed (and fast) spectral clustering algorithm
cluster<- galileo(log(output), p=median(log(output))-7, lambda=0.6, method='Affinity')

#########
##this next line provides a spectral clustering call
##cluster<- galileo(output, num=20, method='Spectral')


##taking the result of the clustering (and the original undergrad files)
##computes the predictive words for each cluster
muts<- mutinf(cluster, gt, extra=T, extra.dat=comm.words)


##finally, taking the cluster results and the mutual information, provides  a LaTeX ready table
##to present the results from the clustering algorithm.  
clustTable(cluster,muts, num=10)