\name{galileo}
\alias{galileo}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Function for Topic Estimation}
\description{
  This function performs a variety of clustering algorithms for
  topic-discovery in text.  
}
\usage{
galileo(S, method = c('Affinity','Spectral'), p=NULL, lambda=0.6, maxits
= 500, convits = 50, num=NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{S}{Output from affinity, matrix describing the affinity
    between documents}
  \item{method}{Either 'Affinity' for Dueck and Frey (2007) Affinity
    propagation, or 'Spectral' for Ng, Jordan, and Weiss(2001) Spectral Clustering} 
  \item{p} {Prior on number of components for Affinity propagation}
  \item{lambda}{Dampening term for Affinity propagation}
  \item{maxits}{Maximum number of iterations, Affinity propagation}
  \item{convits}{Number of iterations to establish convergence, Affinity
  Propagation}
  \item{num}{Number of clusters, Spectral Clustering}
}
\details{
  If method = 'Affinity' then approximate mixture of von Mises-Fisher
  clustering is performed using Affinity propogation (Dueck and Frey
  (2007)).  The number of components is estimated from the data
  conditional on the prior (1 + log(prior, no. components)).
  
  If method = 'Spectral' the spectral clustering method outline in Ng,
  Jordan, Weiss (2001) is performed.  
}
\value{
Returns a vector describing the cluster assignments for each document.  
}
\references{ ~put references to the literature/web site here ~ }
\author{Justin Grimmer and Gary King implemented both Algorithms in R. }
\note{ 
}
\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
